package com.style24.admin.biz.dao;

import java.util.Collection;

import org.springframework.stereotype.Repository;

import com.style24.core.support.annotation.ShopDs;
import com.style24.persistence.domain.Social;

/**
 * 소셜관리 Dao
 *
 * @author sowon
 * @since 2021. 3. 3
 */

@ShopDs
@Repository
public interface TsaSocialDao {

	/**
	 * 소셜 저장
	 *
	 * @param 소셜 정보
	 * @author sowon
	 * @since 2021. 3. 3 
	 */
	void saveSocial(Social param);
	
	/**
	 * 쇼셜 목록
	 *
	 * @param 
	 * @return 
	 * @author sowon
	 * @since 2021. 3. 3
	 */
	Collection<Social> getSocialList(Social params);
	
	/**
	 * 쇼셜 갯수확인
	 *
	 * @param 
	 * @return 
	 * @author sowon
	 * @since 2021. 3. 3
	 */
	int getSocialCount(Social params);
	
	/**
	 * 소셜 상품 저장
	 *
	 * @param 소셜 상품 정보
	 * @author sowon
	 * @since 2021. 3. 4
	 */
	void saveSocialGoods(Social params);
	
	/**
	 * 쇼셜 상품 목록
	 *
	 * @return 쇼셜쇼핑 상품 목록
	 * @author sowon	
	 * @since 2021. 3. 4
	 */
	Collection<Social> getSocialGoodsList(Social params);
	
	/**
	 * 소셜 상품 삭제
	 *
	 * @param 소셜 상품 정보
	 * @author sowon
	 * @since 2021. 3. 4
	 */
	void deleteSocialGoods(Social params);
	
	/**
	 * 진행중인 소셜 확인
	 *
	 * @param 
	 * @return 
	 * @author sowon
	 * @since 2021. 3. 11
	 */
	int getSocialGoOffCount(Social params);
	


}
